Retrieve All Measured Boot Trusted Profile Approvals

View as Markdown

Retrieve all measured-boot trusted Profile approvals for a Site.

Org must have an Infrastructure Provider entity that owns the Site. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site

Response

Measured Boot trusted Profile approvals
approvalIdstringformat: "uuid"
Unique approval ID.
profileIdstringformat: "uuid"

ID of the measured-boot system profile.

approvalTypeenum
Whether the approval is consumed once or persists for future reports.
pcrRegistersstring

Optional comma-separated PCR register selector.

commentsstring
Optional operator comments about the approval.
createddatetime or null
Time when the approval was created, or null when Core did not return a timestamp.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error